def tobin32(x):
    return [(x>>k)&1 for k in xrange(32)]
    
def processData(dataIn, dintWidth):
	"""
		Process a list of DINTs to a list of lists containing binary data 
		for single color-depth graphics.
		Parameters:
			dataIn    : a list of DINTs
			dintWidth : how many DINTs to use in each row.
		Returns:
			list of lists array
			width of the array
			height of the array
	"""
	dataOut = []
	for i in xrange(0, len(dataIn), dintWidth):
		newRow = []
		for j in dataIn[i:i+dintWidth]:
			newRow.extend(graphics.dint.tobin32(j))
		dataOut.append(newRow)
	return dataOut, len(dataOut[0]), len(dataOut)
